Tool Name: h4toh5
Syntax:
  `h4toh5 -h`
  `h4toh5` h4file h5file
  `h4toh5` h4file
Purpose:
  Converts an HDF4 file to an HDF5 file.
Description:
  `h4toh5` is a file conversion utility that reads an HDF4 file, h4file (`input.hdf` for example), and writes an HDF5 file, h5file (`output.h5` for example), containing the same data.

  If no output file h5file is specified, `h4toh5` uses the input filename to designate the output file, replacing the extension `.hdf` with `.h5`. For example, if the input file `scheme3.hdf` is specified with no output filename, `h4toh5` will name the output file `scheme3.h5`.

  The `-h` option causes a syntax summary similar to the following to be displayed:

                    h4toh5 inputfile.hdf outputfile.h5
                    h4toh5 inputfile.hdf

  Each object in the HDF4 file is converted to an equivalent HDF5 object, according to the mapping described in Mapping HDF4 Objects to HDF5 Objects.

  In this initial version, `h4toh5` converts the following HDF4 objects:

  HDF4 Object | Resulting HDF5 Object
  --- | ---
  SDS | Dataset
  GR, RI8, and RI24 image | Dataset
  Vdata | Dataset
  Vgroup | Group
  Annotation | Attribute
  Palette | Dataset

Note:

The `h4toh5` and `h5toh4` utilities are no longer part of the HDF5 product; they are distributed separately through the page Converting between HDF (4.x) and HDF5.

Options and Parameters:

`-h`
  Displays a syntax summary.
h4file
  The HDF4 file to be converted.
h5file
  The HDF5 file to be created.